/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 14/11/2017 - V2.2.1 
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CarringtonMapType {

	private String probe;
	private String instrument;
	private String measurement;
	private List<String> radialDistances; // list of all available radial distance from center of sun 
	
	public CarringtonMapType() {
		radialDistances = new ArrayList<String>();
	}

	public CarringtonMapType(List<String> rds) {
		this.radialDistances = rds;
	}

	public String getProbe() {
		return probe;
	}
	public void setProbe(String probe) {
		this.probe = probe;
	}
	public String getInstrument() {
		return instrument;
	}
	public void setInstrument(String instrument) {
		this.instrument = instrument;
	}
	public String getMeasurement() {
		return measurement;
	}
	public void setMeasurement(String measurement) {
		this.measurement = measurement;
	}
	public List<String> getRadialDistances() {
		return radialDistances;
	}
	public void setRadialDistances(List<String> radialDistances) {
		this.radialDistances = radialDistances;
	}

	
}
